Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::SegmentTermDocs Class Reference

`#include <SegmentTermDocs.h>`

Inheritance diagram for Lucene::SegmentTermDocs:

## Public Member Functions

| SegmentTermDocs (const SegmentReaderPtr &parent)
virtual | ~SegmentTermDocs ()
virtual String | getClassName ()
boost::shared_ptr< SegmentTermDocs > | shared_from_this ()
virtual void | seek (const TermPtr &term)
| Sets this to the data for a term.
virtual void | seek (const TermEnumPtr &termEnum)
| Sets this to the data for the current term in a `TermEnum`.
virtual void | seek (const TermInfoPtr &ti, const TermPtr &term)
virtual void | close ()
| Frees associated resources.
virtual int32_t | doc ()
| Returns the current document number.
virtual int32_t | freq ()
| Returns the frequency of the term within the current document.
virtual bool | next ()
| Moves to the next pair in the enumeration.
virtual int32_t | read (Collection< int32_t > &docs, Collection< int32_t > &freqs)
| Optimized implementation.
virtual bool | skipTo (int32_t target)
| Optimized implementation.
virtual IndexInputPtr | freqStream ()
| Used for testing.
virtual void | freqStream (const IndexInputPtr &freqStream)
Public Member Functions inherited from Lucene::TermPositions
virtual | ~TermPositions ()
virtual int32_t | nextPosition ()
| Returns next position in the current document. It is an error to call this more than `freq()` times without calling `next()`. This is invalid until `next()` is called for.
virtual int32_t | getPayloadLength ()
| Returns the length of the payload at the current term position. This is invalid until `nextPosition()` is called for the first time.
virtual ByteArray | getPayload (ByteArray data, int32_t offset)
| Returns the payload data at the current term position. This is invalid until `nextPosition()` is called for the first time. This method must not be called more than once after each call of `nextPosition()`. However, payloads are loaded lazily, so if the payload data for the current position is not needed, this method may not be called at all for performance reasons.
virtual bool | isPayloadAvailable ()
| Checks if a payload can be loaded at this position. Payloads can only be loaded once per call to `nextPosition()`.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermPositions
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermDocs
static String | _getClassName ()

## Protected Member Functions

virtual void | skippingDoc ()
virtual int32_t | readNoTf (Collection< int32_t > &docs, Collection< int32_t > &freqs, int32_t length)
virtual void | skipProx (int64_t proxPointer, int32_t payloadLength)
| Overridden by SegmentTermPositions to skip in prox stream.
Protected Member Functions inherited from Lucene::TermPositions
| TermPositions ()
Protected Member Functions inherited from Lucene::TermDocs
| TermDocs ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

SegmentReaderWeakPtr | _parent
SegmentReader * | __parent
IndexInputPtr | _freqStream
IndexInput * | __freqStream
int32_t | count
int32_t | df
BitVectorPtr | deletedDocs
BitVector * | __deletedDocs
int32_t | _doc
int32_t | _freq
int32_t | skipInterval
int32_t | maxSkipLevels
DefaultSkipListReaderPtr | skipListReader
int64_t | freqBasePointer
int64_t | proxBasePointer
int64_t | skipPointer
bool | haveSkipped
bool | currentFieldStoresPayloads
bool | currentFieldOmitTermFreqAndPositions
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ SegmentTermDocs()

Lucene::SegmentTermDocs::SegmentTermDocs | ( | const SegmentReaderPtr & | parent | ) |

## ◆ ~SegmentTermDocs()

virtual Lucene::SegmentTermDocs::~SegmentTermDocs | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SegmentTermDocs::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::SegmentTermDocs::close | ( |  | ) |

virtual

Frees associated resources.

Implements Lucene::TermDocs.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ doc()

virtual int32_t Lucene::SegmentTermDocs::doc | ( |  | ) |

virtual

Returns the current document number.

Implements Lucene::TermDocs.

## ◆ freq()

virtual int32_t Lucene::SegmentTermDocs::freq | ( |  | ) |

virtual

Returns the frequency of the term within the current document.

Implements Lucene::TermDocs.

## ◆ freqStream() [1/2]

virtual IndexInputPtr Lucene::SegmentTermDocs::freqStream | ( |  | ) |

virtual

Used for testing.

## ◆ freqStream() [2/2]

virtual void Lucene::SegmentTermDocs::freqStream | ( | const IndexInputPtr & | freqStream | ) |

virtual

## ◆ getClassName()

virtual String Lucene::SegmentTermDocs::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermPositions.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ next()

virtual bool Lucene::SegmentTermDocs::next | ( |  | ) |

virtual

Moves to the next pair in the enumeration.

Implements Lucene::TermDocs.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ read()

virtual int32_t Lucene::SegmentTermDocs::read | ( | Collection< int32_t > & | docs,
|  | Collection< int32_t > & | freqs
| ) |  |

virtual

Optimized implementation.

Implements Lucene::TermDocs.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ readNoTf()

virtual int32_t Lucene::SegmentTermDocs::readNoTf | ( | Collection< int32_t > & | docs,
|  | Collection< int32_t > & | freqs,
|  | int32_t | length
| ) |  |

protected virtual

## ◆ seek() [1/3]

virtual void Lucene::SegmentTermDocs::seek | ( | const TermEnumPtr & | termEnum | ) |

virtual

Sets this to the data for the current term in a `TermEnum`.

Implements Lucene::TermDocs.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ seek() [2/3]

virtual void Lucene::SegmentTermDocs::seek | ( | const TermInfoPtr & | ti,
|  | const TermPtr & | term
| ) |  |

virtual

Reimplemented in Lucene::SegmentTermPositions, and Lucene::SegmentTermPositions.

## ◆ seek() [3/3]

virtual void Lucene::SegmentTermDocs::seek | ( | const TermPtr & | term | ) |

virtual

Sets this to the data for a term.

Implements Lucene::TermDocs.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ shared_from_this()

boost::shared_ptr< SegmentTermDocs > Lucene::SegmentTermDocs::shared_from_this | ( |  | ) |

inline

## ◆ skippingDoc()

virtual void Lucene::SegmentTermDocs::skippingDoc | ( |  | ) |

protected virtual

Reimplemented in Lucene::SegmentTermPositions.

## ◆ skipProx()

virtual void Lucene::SegmentTermDocs::skipProx | ( | int64_t | proxPointer,
|  | int32_t | payloadLength
| ) |  |

protected virtual

Overridden by SegmentTermPositions to skip in prox stream.

Reimplemented in Lucene::SegmentTermPositions.

## ◆ skipTo()

virtual bool Lucene::SegmentTermDocs::skipTo | ( | int32_t | target | ) |

virtual

Optimized implementation.

Implements Lucene::TermDocs.

## Field Documentation

## ◆ __deletedDocs

BitVector* Lucene::SegmentTermDocs::__deletedDocs

protected

## ◆ __freqStream

IndexInput* Lucene::SegmentTermDocs::__freqStream

protected

## ◆ __parent

SegmentReader* Lucene::SegmentTermDocs::__parent

protected

## ◆ _doc

int32_t Lucene::SegmentTermDocs::_doc

protected

## ◆ _freq

int32_t Lucene::SegmentTermDocs::_freq

protected

## ◆ _freqStream

IndexInputPtr Lucene::SegmentTermDocs::_freqStream

protected

## ◆ _parent

SegmentReaderWeakPtr Lucene::SegmentTermDocs::_parent

protected

## ◆ count

int32_t Lucene::SegmentTermDocs::count

protected

## ◆ currentFieldOmitTermFreqAndPositions

bool Lucene::SegmentTermDocs::currentFieldOmitTermFreqAndPositions

protected

## ◆ currentFieldStoresPayloads

bool Lucene::SegmentTermDocs::currentFieldStoresPayloads

protected

## ◆ deletedDocs

BitVectorPtr Lucene::SegmentTermDocs::deletedDocs

protected

## ◆ df

int32_t Lucene::SegmentTermDocs::df

protected

## ◆ freqBasePointer

int64_t Lucene::SegmentTermDocs::freqBasePointer

protected

## ◆ haveSkipped

bool Lucene::SegmentTermDocs::haveSkipped

protected

## ◆ maxSkipLevels

int32_t Lucene::SegmentTermDocs::maxSkipLevels

protected

## ◆ proxBasePointer

int64_t Lucene::SegmentTermDocs::proxBasePointer

protected

## ◆ skipInterval

int32_t Lucene::SegmentTermDocs::skipInterval

protected

## ◆ skipListReader

DefaultSkipListReaderPtr Lucene::SegmentTermDocs::skipListReader

protected

## ◆ skipPointer

int64_t Lucene::SegmentTermDocs::skipPointer

protected

The documentation for this class was generated from the following file:

- SegmentTermDocs.h

clucene.sourceforge.net